#-- Lattice Semiconductor Corporation Ltd.
#-- Synplify OEM project file

#device options
set_option -technology MACHXO2
set_option -part LCMXO2_1200ZE
set_option -package TG144C
set_option -speed_grade -1

#compilation/mapping options
set_option -symbolic_fsm_compiler true
set_option -resource_sharing true

#use verilog 2001 standard option
set_option -vlog_std v2001

#map options
set_option -frequency 200
set_option -fanout_limit 100
set_option -auto_constrain_io true
set_option -disable_io_insertion false
set_option -retiming false; set_option -pipe false
set_option -force_gsr false
set_option -compiler_compatible true
set_option -dup false

set_option -default_enum_encoding default

#simulation options


#timing analysis options
set_option -num_critical_paths 3
set_option -num_startend_points 0

#automatic place and route (vendor) options
set_option -write_apr_constraint 0

#synplifyPro options
set_option -fixgatedclocks 3
set_option -fixgeneratedclocks 3
set_option -update_models_cp 0
set_option -resolve_multiple_driver 1

#-- add_file options
add_file -vhdl {C:/lscc/diamond/1.4/cae_library/synthesis/vhdl/machxo2.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/SPI_Bus.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/SPI_wbController.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/SPI_Data_MUX.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/QEI_int.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/Peripheral_Expansion_Top.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/hex_to_sseg.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/GrayDecoder.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/disp_mux.vhd}
add_file -vhdl -lib "work" {C:/Lattice_Proj/SPI_Peripheral_Expansion/source/dbounce.vhd}


#-- set result format/file last
project -result_file {C:/Lattice_Proj/SPI_Peripheral_Expansion/SPI_Peripheral_Expansion_SPI_Peripheral_Expansion.edi}

#-- error message log file
project -log_file {SPI_Peripheral_Expansion_SPI_Peripheral_Expansion.srf}

#-- set any command lines input by customer


#-- run Synplify with 'arrange HDL file'
project -run hdl_info_gen -fileorder
project -run
