--//////////GrayDecoder /////////////////////////////////--
-- ***********************************************************************
-- FileName: GrayDecoder.vhd
-- FPGA: Lattice MachXO2 1200ZE-1TG144C
-- IDE: Lattice Diamond ver. 1.4.2.105
--
-- HDL IS PROVIDED "AS IS." DIGI-KEY EXPRESSLY DISCLAIMS ANY
-- WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
-- LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
-- PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL DIGI-KEY
-- BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
-- DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
-- PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
-- BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
-- ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
-- DIGI-KEY ALSO DISCLAIMS ANY LIABILITY FOR PATENT OR COPYRIGHT
-- INFRINGEMENT.
--
-- Version History
-- Version 1.0 15/06/2012 Tony Storey
-- Initial Public Release


library IEEE;
use ieee.std_logic_1164.all;


entity GrayDecoder is
	Port(
		Gray_in 			: in std_logic_vector(3 downto 0);
		Decode_out 	: out std_logic_vector(3 downto 0)
		);
end GrayDecoder;


architecture arch of GrayDecoder is


begin

	with Gray_in select 
		Decode_out(3 downto 0) <=
			"0000" when "0000",
			"0001" when "1000",
			"0010" when "1100",
			"0011" when "0100",
			"0100" when "0110",
			"0101" when "1110",
			"0110" when "1010",
			"0111" when "0010",
			"1000" when "0011",
			"1001" when "1011",
			"1010" when "1111",
			"1011" when "0111",
			"1100" when "0101",
			"1101" when "1101",
			"1110" when "1001",
			"1111" when "0001",
			"0000" when others;
			
end arch;